package org.wso2.carbon.device.mgt.mobile.impl.ios.dto;

import java.io.Serializable;

/**
 * This class represents the Apple DEP created device details.
 */
public class DEPDevice implements Serializable {

    private static final long serialVersionUID = 419800635670912679L;

    public static final String PROP_SERIAL = "serial";
    public static final String PROP_MODEL = "model";
    public static final String PROP_STATUS = "status";
    public static final String PROP_REQUIRE_LOGIN = "requireLogin";
    public static final String PROP_REQUIRE_AGENT = "requireAgent";

    private String id;
    private String serial;
    private String username;
    private String deviceIdentifier;
    private String tenantDomain;
    private String status;
    private Integer depProfileId;
    private int profileUuid;
    private String depProfileName;
    private String profileAssignTime;
    private String profilePushTime;
    private String deviceAssignedTime;
    private String deviceAssignedBy;
    private boolean needBasicAuth;
    private String OS;
    private String deviceFamily;
    private String model;
    private String description;
    private String color;
    private boolean agentRequired;

    public boolean getAgentRequired() {
        return agentRequired;
    }

    public void setAgentRequired(boolean agentRequired) {
        this.agentRequired = agentRequired;
    }

    public String getDeviceIdentifier() {
        return deviceIdentifier;
    }

    public void setDeviceIdentifier(String deviceIdentifier) {
        this.deviceIdentifier = deviceIdentifier;
    }

    public void setDepProfileId(Integer depProfileId) {
        this.depProfileId = depProfileId;
    }

    public int getProfileUuid() {
        return profileUuid;
    }

    public void setProfileUuid(int profileUuid) {
        this.profileUuid = profileUuid;
    }

    public String getDepProfileName() {
        return depProfileName;
    }

    public void setDepProfileName(String depProfileName) {
        this.depProfileName = depProfileName;
    }

    public String getOS() {
        return OS;
    }

    public void setOS(String OS) {
        this.OS = OS;
    }

    public String getDeviceFamily() {
        return deviceFamily;
    }

    public void setDeviceFamily(String deviceFamily) {
        this.deviceFamily = deviceFamily;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public boolean getNeedBasicAuth() {
        return needBasicAuth;
    }

    public void setNeedBasicAuth(boolean needBasicAuth) {
        this.needBasicAuth = needBasicAuth;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getTenantDomain() {
        return tenantDomain;
    }

    public void setTenantDomain(String tenantDomain) {
        this.tenantDomain = tenantDomain;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getDepProfileId() {
        return depProfileId;
    }

    public String getProfileAssignTime() {
        return profileAssignTime;
    }

    public void setProfileAssignTime(String profileAssignTime) {
        this.profileAssignTime = profileAssignTime;
    }

    public String getProfilePushTime() {
        return profilePushTime;
    }

    public void setProfilePushTime(String profilePushTime) {
        this.profilePushTime = profilePushTime;
    }

    public String getDeviceAssignedTime() {
        return deviceAssignedTime;
    }

    public void setDeviceAssignedTime(String deviceAssignedTime) {
        this.deviceAssignedTime = deviceAssignedTime;
    }

    public String getDeviceAssignedBy() {
        return deviceAssignedBy;
    }

    public void setDeviceAssignedBy(String deviceAssignedBy) {
        this.deviceAssignedBy = deviceAssignedBy;
    }

}
